Page MenuHomePhabricator

Datatables doesn't work on /topic/<id>/ and /subtopic/<id>/ and maybe other places
Closed, ResolvedPublic

Description

Datatables doesn't work on:

  • /topic/<id>/
  • /subtopic/<id>/
  • /ticket/<id>
  • and maybe other places.

Original description

Klára wants a search field on every page in the Tracker. Is that possible? It is currently only in the main Ticket list (https://tracker.wikimedia.cz/tickets/).

This would enable Klára to filter out a given state of ticket ("draft" or "approved" etc) because the search feature works for all fields of the table, not just the name.

Details

Related Gerrit Patches:
wikimedia-cz/tracker : masterFix search for datatables

Event Timeline

Restricted Application added a subscriber: Urbanecm. · View Herald TranscriptDec 12 2018, 4:03 PM
Vojtech.dostal updated the task description. (Show Details)

I'm not sure if I get what you mean. Search field is near every table and works across all fields, see my screenshots below.

As you wrote "Klára wants a search field on every page in the Tracker", do you want a search field everywhere, searching for tickets?

I don't see a search field here, for example:
https://tracker.wikimedia.cz/topic/115/

(topic and subtopic pages)

Urbanecm renamed this task from Search field everywhere to Datatables doesn't work on /topic/<id>/ and /subtopic/<id>/ and maybe other places.Dec 13 2018, 9:32 PM
Urbanecm updated the task description. (Show Details)
Urbanecm moved this task from PM to consider to Bugs on the WMCZ-Tracker board.Dec 13 2018, 9:35 PM

I don't see a search field here, for example:
https://tracker.wikimedia.cz/topic/115/
(topic and subtopic pages)

Hmm, that's a bug. Renamed this task to represent the issue better and moved to Bugs column, as I wanted to have the search field in all tables.

Urbanecm updated the task description. (Show Details)Dec 14 2018, 2:53 PM
Stibba claimed this task.Dec 14 2018, 3:03 PM

In https://gerrit.wikimedia.org/r/c/wikimedia-cz/tracker/+/478472 the search field is present and working on (AFAIK) ALL tables.

I think https://gerrit.wikimedia.org/r/c/wikimedia-cz/tracker/+/478423 broke this functionality.

I will be looking into a fix.

Nevermind I just see that @Stibba claimed it. Comment is still valid, but I think Stibba will fix it.

Change 479714 had a related patch set uploaded (by Stibba; owner: Stibba):
[wikimedia-cz/tracker@master] Fix search for datatables

https://gerrit.wikimedia.org/r/479714

Urbanecm triaged this task as Normal priority.Dec 14 2018, 6:32 PM

Change 479714 merged by jenkins-bot:
[wikimedia-cz/tracker@master] Fix search for datatables

https://gerrit.wikimedia.org/r/479714

Urbanecm closed this task as Resolved.Dec 14 2018, 7:46 PM